## org.eclipse.datatools.sqltools.sqlbuilder.views.execute
Class ParameterTableViewer.ParameterValueCellEditor

    java.lang.Object
      org.eclipse.jface.viewers.CellEditor
          org.eclipse.jface.viewers.TextCellEditor
              org.eclipse.datatools.sqltools.sqlbuilder.views.execute.ParameterTableViewer.ParameterValueCellEditor

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.swt.events.FocusListener, org.eclipse.swt.internal.SWTEventListener

Enclosing class:
  ParameterTableViewer

    public class ParameterTableViewer.ParameterValueCellEditor

extends org.eclipse.jface.viewers.TextCellEditor
implements org.eclipse.swt.events.FocusListener

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.viewers.CellEditor
`org.eclipse.jface.viewers.CellEditor.LayoutData`

Field Summary

Fields inherited from class org.eclipse.jface.viewers.CellEditor
`COPY, CUT, DELETE, FIND, PASTE, REDO, SELECT_ALL, UNDO`

Constructor Summary
`ParameterTableViewer.ParameterValueCellEditor(org.eclipse.swt.widgets.Composite parent)`

Method Summary
`void` `focusGained(org.eclipse.swt.events.FocusEvent e)`
`void` `focusLost(org.eclipse.swt.events.FocusEvent e)`

Methods inherited from class org.eclipse.jface.viewers.TextCellEditor
`getLayoutData, isCopyEnabled, isCutEnabled, isDeleteEnabled, isPasteEnabled, isSaveAllEnabled, isSelectAllEnabled, performCopy, performCut, performDelete, performPaste, performSelectAll`

Methods inherited from class org.eclipse.jface.viewers.CellEditor
`activate, activate, addListener, addPropertyChangeListener, create, deactivate, dispose, getControl, getErrorMessage, getStyle, getValidator, getValue, isActivated, isDirty, isFindEnabled, isRedoEnabled, isUndoEnabled, isValueValid, performFind, performRedo, performUndo, removeListener, removePropertyChangeListener, setFocus, setStyle, setValidator, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterTableViewer.ParameterValueCellEditor

    public ParameterTableViewer.ParameterValueCellEditor(org.eclipse.swt.widgets.Composite parent)

Method Detail

### focusLost

    public void focusLost(org.eclipse.swt.events.FocusEvent e)

  Specified by:
    `focusLost` in interface `org.eclipse.swt.events.FocusListener`

### focusGained

    public void focusGained(org.eclipse.swt.events.FocusEvent e)

  Specified by:
    `focusGained` in interface `org.eclipse.swt.events.FocusListener`